MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031795Open CASCADE[OCCT] OCCT:Documentationpublic2020-09-25 15:012020-10-03 14:39
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031795: Documentation - OCCDoc_ProcessSvg uses syntax incompatible with Inkscape 1.0
DescriptionInkscape 1.0 has changed command-line syntax making OCCDoc_ProcessSvg script incompatible with actual Inkscape releases:
    if { [catch {exec inkscape -z -D --file=$file --export-pdf=$pdffile} res] } {
Steps To ReproduceNot
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0095324)
git (administrator)
2020-09-25 15:22

Branch CR31795 has been created by kgv.

SHA-1: a86aa58ddbd24d25cc743a4cc147b94f0fbe46b7


Detailed log of new commits:

Author: kgv
Date: Fri Sep 25 15:23:46 2020 +0300

    0031795: Documentation - OCCDoc_ProcessSvg uses syntax incompatible with Inkscape 1.0
    
    Detect old/new Inkscape version and pass arguments correspondingly.
(0095332)
kgv (developer)
2020-09-25 16:20

Andrey, could you please take a look into proposed change in OCCT branch CR31795?
(0095343)
git (administrator)
2020-09-25 20:07

Branch CR31795 has been updated by abv.

SHA-1: 178d6ffb5687e8753543fa098ef1efffabd83fe8


Detailed log of new commits:

Author: abv
Date: Fri Sep 25 20:09:37 2020 +0300

    # correction of Tcl syntax

(0095349)
abv (manager)
2020-09-25 20:34

I have reviewed the patch (with minor fix on Tcl syntax pushed as separate commit), however cannot check generation of PDF with SVG images -- it does not work in my environments (even on master). Please check on your side
(0095621)
bugmaster (administrator)
2020-10-03 14:02

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095663)
git (administrator)
2020-10-03 14:39

Branch CR31795 has been deleted by inv.

SHA-1: 178d6ffb5687e8753543fa098ef1efffabd83fe8

- Related Changesets
occt: master 9211c8ff
Timestamp: 2020-09-25 12:23:46
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031795: Documentation - OCCDoc_ProcessSvg uses syntax incompatible with Inkscape 1.0

Detect old/new Inkscape version and pass arguments correspondingly.
mod - adm/occaux.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-25 15:01 kgv New Issue
2020-09-25 15:01 kgv Assigned To => abv
2020-09-25 15:22 git Note Added: 0095324
2020-09-25 16:20 kgv Note Added: 0095332
2020-09-25 16:20 kgv Status new => resolved
2020-09-25 20:07 git Note Added: 0095343
2020-09-25 20:34 abv Note Added: 0095349
2020-09-25 20:34 abv Assigned To abv => bugmaster
2020-09-25 20:34 abv Status resolved => reviewed
2020-09-27 12:18 bugmaster Test case number => Not required
2020-09-27 14:12 bugmaster Note Added: 0095371
2020-09-27 14:12 bugmaster Status reviewed => tested
2020-09-27 14:15 bugmaster Note Deleted: 0095371
2020-09-27 14:16 bugmaster Status tested => assigned
2020-09-27 14:16 bugmaster Assigned To bugmaster => abv
2020-09-27 14:16 bugmaster Status assigned => resolved
2020-09-27 14:16 bugmaster Steps to Reproduce Updated View Revisions
2020-09-27 14:16 bugmaster Assigned To abv => bugmaster
2020-09-27 14:16 bugmaster Status resolved => reviewed
2020-10-03 14:02 bugmaster Note Added: 0095621
2020-10-03 14:02 bugmaster Status reviewed => tested
2020-10-03 14:05 bugmaster Changeset attached => occt master 9211c8ff
2020-10-03 14:05 bugmaster Status tested => verified
2020-10-03 14:05 bugmaster Resolution open => fixed
2020-10-03 14:39 git Note Added: 0095663


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker